/***********************************************************************************************************************
* File Name    : r_bsp.h
* Device(s)    : RX
* H/W Platform : GR-SAKURA (RX63N)
* Description  : Has the header files that should be included for this platform.
***********************************************************************************************************************/
/***********************************************************************************************************************
* History : DD.MM.YYYY Version  Description
*         : 10.07.2017 1.00     First Release
***********************************************************************************************************************/

#ifndef BSP_BOARD_RSKRX63N
#define BSP_BOARD_RSKRX63N

/* Make sure that no other platforms have already been defined. Do not touch this! */
#ifdef  PLATFORM_DEFINED
#error  "Error - Multiple platforms defined in platform.h!"
#else
#define PLATFORM_DEFINED
#endif

/***********************************************************************************************************************
INCLUDE APPROPRIATE MCU AND BOARD FILES
***********************************************************************************************************************/
#include    "mcu/all/r_bsp_common.h"
#include    "r_bsp_config.h"
#include    "mcu/rx63n/register_access/iodefine.h"
#include    "mcu/rx63n/mcu_info.h"
#include    "mcu/rx63n/mcu_locks.h"
#include    "mcu/rx63n/locking.h"
#include    "mcu/rx63n/cpu.h"
#include    "mcu/rx63n/mcu_init.h"
#include    "mcu/rx63n/mcu_interrupts.h"
#include    <board/gr_sakura_rx63n/gr_sakura_rx63n.h>
#include    <board/gr_sakura_rx63n/hwsetup.h>
#include    <board/gr_sakura_rx63n/lowsrc.h>
#include    <board/gr_sakura_rx63n/vecttbl.h>
#include    <board/gr_sakura_rx63n/CCRXmachine.h>

#endif /* BSP_BOARD_RSKRX63N */



